.js-product-detail {
  margin: 0rem auto;
  width: 100%;
  max-width: 1200px;
}

.product-detail {
  @include md {
    margin: 0rem 0.4rem 2rem 0.4rem !important;
  }

  &__top {
    @include flex;

    margin-bottom: 2rem;

    .product-top {
      &__action {
        font-size: 1.6rem;
      }

      &__button {
        position: fixed;
        top: 50%;
        transform: translateY(-50%);

        background: $grey-light;

        text-align: center;
        font-size: 2.4rem;

        width: 40px;
        padding: 4rem 0;

        .button {
          &__text {
            display: none;
          }
        }

        &--back {
          left: 0;
        }

        &--next {
          right: 0;
        }
      }
    }

    @include md {
      .product-top {
        &__action {
          margin-right: 2.5rem;
        }

        &__button {
          position: static;
          display: block;

          background: transparent;

          font-size: 1.4rem;
          text-align: left;

          width: auto;
          transform: none;

          padding: 0;

          .fa {
            display: none;
          }

          .button {
            &__text {
              display: initial;
            }
          }
        }
      }
    }

    @include sm {
      // margin:0 2rem 2rem;

      margin: 0;

      .product-top {
        &__action {
          display: block;
          flex-grow: 1;

          padding: 1rem 2rem;

          border-right: 1px solid $grey-border;

          white-space: nowrap;
          text-align: center;

          margin: 0;

          &:last-child {
            border: none;
          }
        }
      }
    }

    @include xs {
      flex-direction: column;

      .product-top {
        &__action {
          padding: 0rem 0 0.75rem 0;
          border: none;
          border-bottom: 1px solid $grey-border;

          font-size: 1.4rem;
        }
      }
    }
  }
}

.product-detail {
  font-family: "RALEWAY-REGULAR" !important;
  &__content {
    @include flex;
    background-color: #efefef;
  }

  &__image-thumbs {
    min-width: 9.5rem;
    max-height: 800px;
    overflow-y: auto;

    &::-webkit-scrollbar{
      width: 5px;
    }

    &::-webkit-scrollbar-track {
      background: rgb(255, 255, 255);
    }
    &::-webkit-scrollbar-thumb {
      background-color: rgb(194, 194, 199);
      border-radius: 20px;
      border: 3px solid #c2c2c7;
    }
  }

  &__image {
    &:after {
      content: "";
      display: none;
      width: 33px;
      height: 33px;
      position: absolute;
      top: 0;
      right: 0;
      background: url(https://raw.github.com/jackmoore/zoom/master/icon.png);

      @include sm() {
        display: none;
      }
    }
    width: 45%;
    border: 1px solid;
    position: relative;
    //margin: 0 2rem;
    @include sm() {
      margin: 0;
      width: 100%;
    }

    .slick-slider {
      .slick-prev,
      .slick-next {
        $size: 30px;
        width: $size;
        height: $size;

        z-index: 1;

        &::before {
          font-size: $size;
          background-size: 32px 32px;
          width: 40px;
          height: 41px;
        }
      }

      .slick-prev {
        left: 10px;
      }
      .slick-next {
        right: 10px;
      }
    }

    &__onSale-label {
      position: absolute;
      top: -62px;
      right: 20px;
      width: 60px;
      z-index: 0;
    }

    &__pay_x_get_y-label {
      position: absolute;
      z-index: 1;
      right: 1rem;
      top: 1rem;
      width: 60px;
      height: 60px;
      border-radius: 50%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-pack: center;
      -ms-flex-pack: center;
      justify-content: center;
      -webkit-box-align: center;
      -ms-flex-align: center;
      align-items: center;
      color: white;
      font-weight: bold;
      font-size: 15px;
      background-image: url(/content/images/descuento.png);
      background-size: 100% 100%;
    }
  }

  .product-image {
    &__thumb {
      margin-bottom: 2rem;

      border: 1px solid;
      border-color: transparent;

      cursor: pointer;

      // &--active{
      //     border-color:$black;
      // }

      img {
        min-width: 100% !important;
        max-width: none;
        width: $product-detail-image-thumbs-width;
      }

      &-image {
        background-size: cover;
        height: 150px;
        background-position: center center;
      }
    }

    &__slide {
      div {
        width: 100%;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
        height: 500px;

        @include sm() {
          height: 600px;
        }
      }
    }
  }
}

.product-detail__info {
  width: 55%;
    margin-left: 30px;
    max-height: 500px;
    padding: 0rem 6rem 0rem 3rem;
  @include sm() {
    width: 100%;
    margin-left: unset;
  }
}

.product-detail {

  .custom-select-wrapper {
    position: relative;
    user-select: none;
    width: 48.5%;
}
.custom-select {
    position: relative;
    display: flex;
    flex-direction: column;
    border-width: 0 2px 0 2px;
    border: 1px solid;
    //border-style: solid;
    //border-color: #394a6d;
}
.title_select{
  color:black;
  font-weight:bold;
  font-size: 2rem;
}
.custom-select__trigger {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 2rem;
  font-size: 20px;
  font-weight: 300;
  color: #3b3b3b;
  height: 50px;
  line-height: 60px;
  background: #ffffff;
  cursor: pointer;
  border-width: 2px 0 2px 0
}
.custom-options {
    position: absolute;
    display: block;
    top: 100%;
    left: 0;
    right: 0;
    //border-bottom: 1px solid #000000;
    //border-right: 1px solid #000000;
    //border-left: 1px solid #000000;
    border-top: 0;
    background: #ffffff;
    transition: all 0.5s;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    z-index: 2;
    height: 70px;
    overflow: auto;
}
.custom-select.open .custom-options {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
}
.product-detail__settings {
  display: flex;
  justify-content: space-between;
  margin-top: 3rem;
}
.custom-option {
    position: relative;
    display: block;
    padding: 0 4rem 0 4rem;
    font-size: 22px;
    font-weight: 300;
    color: #000000;
    line-height: 60px;
    cursor: pointer;
    transition: all 0.5s;
}
.custom-option:hover {
    cursor: pointer;
    background-color: #b2b2b2;
}
.custom-option.selected {
    color: #ffffff;
    background-color: #e26d5c;;
}

  &__descriptionbox{
    background-color: #efefef;
    padding: 4rem 0rem 2rem;
    width: 100%;
    p:first-child{
      font-weight: bold;
      font-size: 20px;
    }
    p{
      color: black;
    }
  }
  .line{
    border-bottom: 1px solid black;
    height: 1px;
    max-width: 83%;
    width: 1200px;
    margin-bottom: 5px;
  }
  &__breadcrumb {
    display: flex;
  }
  &__product {
    flex-grow: 1;
    padding: 1rem 0 0 4rem;
  }

  &__header-content {
    display: flex;
    align-items: flex-end;
    //flex-flow: column;
    justify-content: space-between;
    margin: 4rem 0rem 2rem 0rem;
    //border-bottom: 1px solid rgb(99, 99, 99);
    //border-style: dashed;
  }

  &__title {
    display: flex;
    margin: 0rem 2rem 0rem 0rem;
    font-size: 3rem;
    font-family: "RALEWAY-SEMIBOLD" !important;
  }

  &__code {
    font-family: "RALEWAY-REGULAR" !important;
    font-size: 1.2rem;
    color: grey;

    @include sm{
      margin-top: 15px;
    }
  }

  &__cloth{
    margin-top: 1rem;
    font-family: "RALEWAY-REGULAR" !important;
    font-size: 1.5rem;
    color: grey;
  }
  &__description-product {
    display: flex;
    flex-direction: column;
    margin-top: 2rem;
    width: 47rem;

    &-title {
      min-width: 100px;
      font-size: 1.4rem;
      
    }

    &-content {
      display: flex;
      padding: 10px 0px;
      width: 100%;
     
      &__text {
        &:first-of-type{
          //margin-top: 10px;
          //border-top: 1px solid gray;
        }
        
        margin-top: 0px;
    padding-top: 15px;
    color: grey;
    font-family: "RALEWAY-REGULAR"!important;
    //border-top: 1px solid;
        line-height: 20px;
        @include sm{
          margin-top: 10px;
        }
      }
    }
  }

  &__description {
    display: flex;
    align-items: center;
    width: -webkit-max-content;
    width: 100%;
    color: black;
    font-size: 1.7rem;
    //margin-top: 2rem;
    font-weight: bold;
    //padding: 2rem 4rem;
    background-color: #efefef;
    .discount-porcentaje {
      display: flex;
      align-items: center;
      color: black;
      width: max-content;
      font-size: 17px;
      //text-transform: uppercase;
      margin-right: 10px;
      

      p:first-of-type {    

          position: relative;          
          font-family: "RALEWAY-REGULAR" !important;
          color: #6b6464;
          margin-right: 15px;
          margin-left: 15px;
        &::before {
          width: 100%;
          position: absolute;
          background-color: #0a0a0a;
          height: 1px;
          content: "";
          top: 40%;
        }

        margin-right: 15px;
      }
    }

    &__text {
      margin-top: 10px;
      font-size: 1.3rem;
    }

    &-color{
      display: flex;
      align-items: center;
      margin: 2rem 0;
      span{
        font-size: 20px;
        font-weight: bold;
      }
    }
  }

  &__separator {
    display: block;

    width: 100%;

    // background:
    // transparent
    // url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAwAAAACCAYAAABsfz2XAAAAFElEQVR42mM4c+bMf2TMQAiQqgEA33AbGXKO5q4AAAAASUVORK5CYII=")
    // left top repeat-x;

    background: $grey-border;

    height: 1px;

    margin: 1.5rem 0;
  }

  &__pricing {
    @include flex($align: center);

    font-size: 2rem;
  }

  &__price {
    background-size: 100%;
    color: black;
    font-size: 2rem;
    //text-transform: uppercase;
    display: flex;
    align-items: center;
    font-weight: bold;
    margin: 1rem 0rem;
    p:last-of-type {
      margin-left: 15px;
    }
  }
}

.product-detail {
  @include sm() {
    //overflow-x: auto;
    margin: 0 0 2rem 0 !important;
    padding: 3px 10px;
  }
  &__color {
    margin-top: $product-option-separation;
  }

  .current-color-name {
    color: #000;
    white-space: nowrap;
    display: inline-block !important;
    font-weight: bold;
  }

  #productsTable {
    margin-bottom: 0;
    tr {
      border-bottom: 1px solid rgba(160, 160, 160, 0.6);

      &:last-of-type {
        border-bottom: none;
      }
    }

    td {
      border-top: none;
    }
  }

  .color {
    &__name {
      font-size: 1.4rem;
    }

    &__current-name {
      font-weight: bold;
    }

    &__list {
      @include flex($wrap: true);

      margin-top: 1rem;
    }

    &__item {
      display: block;

      font-size: 1.3rem;
      margin: 0rem 1rem;
      width: 28px;
      height: 28px;
      @include flex(row, none, center);

      &--selected {
        span {
          border: 2px solid $black-abs;
        }
      }

      &--mayorista {
        color: grey;
        font-size: 1.3rem;
        width: 125px;
        height: 40px;
        list-style: none;
        padding-right: 3px;
        @include flex(row, flex-start, center);
      }

      //margin: .75rem 1.5rem .75rem 0;
    }

    $product-detail-ball-size: 28px !default;

    &__ball {
      //@include circle;

      background-size: cover;
      display: block;
      cursor: pointer;
      width: $product-detail-ball-size;
      height: $product-detail-ball-size;
      border-radius: 50%;
      border: 1px solid $black-abs;

      &--mayorista {
        background-size: cover;
        display: block;
        width: 15px;
        height: 15px;
        border-radius: 50%;
        border: 1px solid $black-abs;
        margin-right: 5px;
      }

      /*&--selected{
                box-shadow: 0px 0px 0px 2px $black;
            }

            @include state{
                box-shadow: 0px 0px 0px 2px $black;
            }*/
    }
  }
}

.product-detail {
  &__size {
    margin-top: 1.4rem;
    display: flex;
    justify-content: space-between;
    flex-flow: column;
  }

  &__size-guide {
    a {
      color: #9c9595;
      text-decoration: underline;
    }
  }

  &__guia-de-talles {
    margin-top: 1rem;
    cursor: pointer;
    //font-family: "ProximaNova", Arial, Helvetica, sans-serif;
    font-size: 10px;
    font-weight: 400;
    line-height: 17px;
    text-transform: uppercase;
    color: black;
    letter-spacing: 3px;
  }

  &__institutional {
    margin-top: 3rem;

    &-item {
      @include flex(row, space-between, center);
      margin-bottom: 1rem;
      border-bottom: 1px solid $black-abs;
      padding-bottom: 0.8rem;
      text-transform: uppercase;
      font-size: 1.3rem;
      cursor: pointer;
    }
  }

  &__button-section {
    @include flex(row, space-between, center);
    width: 100%;
    margin-top: 4rem;

    .product-detail__button,
    button {
      width: 100%;
      padding: 2.4rem 4rem;
      background-color: #e26d5c;
      font-family: "RALEWAY-LIGHT" !important;
      font-weight: bold;
      letter-spacing: 1px;
      //margin-top:4rem;
      @include flex(row, center, center);
      font-size: 1.7rem;
      color: rgb(255, 255, 255);

      @include sm{
        font-size: 1.5rem;
      }
    }

    .share {
      margin-left: 1rem;
      cursor: pointer;
      @include flex(column, center, center);

      .compartir {
        overflow: hidden;

        ul {
          margin-top: 0.25rem;
          border: 1px solid $black-abs;
          padding: 0.25rem;
          @include flex(row, center, center);

          li {
            margin: 0 0.25rem;
          }
        }
      }

      &-icon {
        @include flex();
      }
    }
  }

  .size {
    &__name {
      font-size: 1.4rem;
    }

    &__list {
      @include flex;

      margin-top: 1.5rem;
    }

    &__item {
      @include flex($just: center, $align: center);

      /*min-width:$product-size-box-size;
            height:$product-size-box-size;*/

      span {
        @include flex(row, center, center);
        width: 16px;
        height: 16px;
      }

      width: 50px;
      height: 35px;

      //padding:.5rem 1rem;

      font-size: 1.4rem;

      border: 1px solid $black-abs;

      cursor: pointer;

      margin-right: 0.5rem;

      /*&:not(:first-child){
                border-left-color:transparent;
            }*/

      /*@include state{
                border-left:1px solid;
                border-color:$black;
            }*/

      &--selected {
        /*border-left:1px solid;
                border-color:$black;*/
         border: 2px solid black;
      }
    }
  }
}

.product-detail {
  &__quantity {
    margin-top: 20px;
    display: flex;
    flex-flow: column;
    align-items: flex-start;


    .quantity__select {
      display: flex;
      align-items: center;
      width: 120px;
      height: 40px;
      margin-top: 10px;

      @include sm{
        height: 35px;
      }
      
      input {
        width: 100%;
        border: none;
        font-size: 20px !important;
        border-top: 1px solid #929292;
        border-bottom: 1px solid #929292;
        text-align: center;
        height: 40px;

        @include sm{
          height: 35px;
          font-size: 17px !important;
        }
      }
      .button-quantity {
        display: flex;
        flex-direction: column;
        height: 100%;

        button {
          background-color: #e8e2e2;
          border: 1px solid #b5b5b5;
          height: 40px;
          display: flex;
          align-items: center;
          justify-content: center;
          font-size: 2rem;
          width: 34px;
        }
      }
    }
  }
}

.product-detail {
  &__button {
    width: 100%;

    /*margin-top:$product-option-separation;

        margin-bottom:1rem;*/
  }

  &__socials {
    margin-top: $product-option-separation;
  }
}

.product-detail {
  @include sm() {
    &__content {
      flex-direction: column;
    }

    &__image-thumbs {
      display: none;
    }

    &__image {
      width: 45%;

      padding: 0;
      @include sm(){
        width: 100%;
      }
    }

    &__product {
      padding: 2rem 1rem 0;
    }
  }
}

.margin-width {
  margin-right: 0;
}

.product-detail__table-title{
  margin-bottom: 5px;
}

.total-price-table {
  text-align: right;
  border-top: 1px solid;
  padding-top: 1rem;
  display: flex;
  justify-content: flex-end;
  align-items: center;

  
}
